<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button text="" color="medium"></ion-back-button>
    </ion-buttons>
    <ion-title>{{'Informations'|translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="userInfo">
    <ion-col size="4" style="margin: auto">
      <ion-img style="height: 8vh;  margin: auto;" [src]="stations?.logo"></ion-img>
    </ion-col>
    <ion-col size="6" style="display: flex;flex-direction: column;
      flex-wrap: wrap;align-content: space-around; justify-content: center;align-items: baseline;">
    <h1 class="h1-dashbord" >{{stations?.nom}}</h1>
    </ion-col >
    <ion-col size="2" style="border-radius: 0 20px 20px 0; background: linear-gradient(180deg, rgba(41,204,47,1) 50%, rgb(230,230,230) 50%);
">

    </ion-col>
<!--    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==1 && stations?.essence.statut==1" ></ion-icon>-->
<!--    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==0 && stations?.essence.statut==0" color="danger"></ion-icon>-->
<!--    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==0 || stations?.essence.statut==0" color="warning"></ion-icon>-->
  </ion-row>
<ion-row>
  <ion-col size="4">
<div class="box-icon"  routerLink="/home">
    <ion-icon src="../assets/icon/svg/return.svg"></ion-icon>
</div>
  </ion-col>
  <ion-col size="4">
<!--    <div class="box-icon" (click)="emplacement(stations?.id)">-->
<!--      <ion-icon slot="icon-only"src="../assets/icon/svg/navigation.svg"></ion-icon>-->
<!--    </div>-->
  </ion-col>
  <ion-col size="4">
    <div class="box-icon" (click)="infocall(stations?.tel)">
      <ion-icon slot="icon-only" style="color: var(--ion-color-optyblue)" name="call-outline"></ion-icon>
    </div>
  </ion-col>

</ion-row>
  <ion-grid>
    <ion-row>

      <ion-col size="12" (click)="gotoessence(stations?.essence.statut)">
        <div class="cart-dashbord cart-1" >
<!--          <ion-icon name="map-outline"></ion-icon>-->
                    <span>Super</span>
<!--          <ion-img src="./../assets/icon/essence.png" style="width: 36px; height: 36px;position: absolute;right: 25vw"></ion-img>-->
          <ion-icon src="./../assets/icon/svg/pompev.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.essence.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.essence.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.essence.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.essence.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

      <ion-col size="12">
        <div class="cart-dashbord cart-1" (click)="gotogazoil(stations?.gazoil.statut)">
                    <span> {{'Gazoil' | translate}}</span>
          <ion-icon src="./../assets/icon/svg/pompej.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.gazoil.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.gazoil.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.gazoil.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.gazoil.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

    </ion-row>
    <ion-row>
      <ion-col size="12" (click)="gotoelectrique(stations?.electrique.statut)">
        <div class="cart-dashbord cart-1" >
          <span>{{'Electrique' |translate}}</span>
          <ion-icon src="./../assets/icon/svg/station.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.electrique.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.electrique.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.electrique.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.electrique.statut==2" color="orange" name="warning-outline"></ion-icon>
        </div>
      </ion-col>
      <ion-col size="12">
        <div class="cart-dashbord cart-1" (click)="gotogpl(stations?.gpl.statut)">
          <span> GPL</span>
          <ion-icon src="./../assets/icon/svg/pompej.svg" style="position: absolute;right: 25vw"></ion-icon>
<!--          <ion-img src="./../assets/gas.png" style="width: 36px; height: 36px"></ion-img>-->
          <ion-icon *ngIf="stations?.gpl.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.gpl.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.gpl.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.gpl.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="12" (click)="gotosuperette(stations?.superette.statut)">
        <div class="cart-dashbord cart-1" >
          <span>{{'Alimentation' | translate}}</span>
          <ion-icon src="./../assets/icon/svg/alimentation.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.superette.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.superette.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.superette.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.superette.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

      <ion-col size="12" (click)="gotogab(stations?.gab.statut)">
        <div class="cart-dashbord cart-1" >
          <span> GAB</span>
          <ion-icon src="./../assets/icon/svg/gab.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.gab.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.gab.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.gab.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.gab.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
    </ion-row>
    <ion-row>

      <ion-col size="12" (click)="gotogaz(stations?.gaz.statut)">
        <div class="cart-dashbord cart-1" >
          <span>{{'Gaz' | translate}}</span>
          <ion-img src="./../assets/gaz.png" style="width: 30px; height: 30px;position: absolute;right: 25vw"></ion-img>
          <ion-icon *ngIf="stations?.gaz.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.gaz.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.gaz.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.gaz.statut==2" color="orange" name="warning-outline"></ion-icon>


        </div>
      </ion-col>

      <ion-col size="12" (click)="gotoentretien(stations?.entretien.statut)">
        <div class="cart-dashbord cart-1" >
          <span> {{'Entretien' | translate}}</span>
          <ion-icon src="./../assets/icon/svg/mecanicien.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.entretien.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.entretien.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.entretien.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.entretien.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

    </ion-row>

    <ion-row>
      <ion-col size="12" (click)=gotorepos(stations?.airederepos.statut)>
        <div class="cart-dashbord cart-1" >
          <span> {{'Aire de repos' | translate}}</span>
          <ion-icon src="./../assets/icon/svg/airerepos.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.airederepos.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.airederepos.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.airederepos.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.airederepos.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12" (click)="gotoculte(stations?.culte.statut)">
        <div class="cart-dashbord cart-1" >
          <span> {{'Culte' | translate}}</span>
          <ion-icon src="./../assets/icon/svg/culte.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.culte.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.culte.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.culte.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.culte.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="12" (click)="gototoilette(stations?.toilette.statut)" >
        <div class="cart-dashbord cart-1" >
          <span>{{'Toilettes' | translate}}</span>

          <ion-icon src="./../assets/icon/svg/toilette.svg" style="position: absolute;right: 25vw"></ion-icon>
          <ion-icon *ngIf="stations?.toilette.statut==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="stations?.toilette.statut==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="stations?.toilette.statut==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="stations?.toilette.statut==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>


    </ion-row>

  </ion-grid>
</ion-content>
<!--<ion-footer>-->

<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="start" routerLink="/home">-->
<!--        <ion-button shape="round" expand="block" fill="solid" color="station">-->
<!--    <ion-icon name="return-up-back-outline" ></ion-icon>-->
<!--        </ion-button>-->
<!--    </ion-buttons>-->

<!--    <ion-buttons (click)="emplacement(stations?.id)">-->
<!--        <ion-button shape="round" expand="block" fill="solid" color="station" style="margin: auto;">-->
<!--          <ion-icon name="navigate-circle-outline"></ion-icon>-->
<!--        </ion-button>-->
<!--    </ion-buttons>-->

<!--    <ion-buttons slot="end"  (click)="appel(stations?.telephone)">-->
<!--      <ion-button shape="round" expand="block" fill="solid" color="station">-->
<!--      <ion-icon name="call"></ion-icon>-->
<!--      </ion-button>-->
<!--    </ion-buttons>-->
<!--  </ion-toolbar>-->
<!--</ion-footer>-->
